Service Objectives - Get
Gets a database service objective.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/serviceObjectives/{serviceObjectiveName}?api-version=2014-04-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string |
The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal. |
|
server
|
path | True |
string |
The name of the server. |
|
service
|
path | True |
string |
The name of the service objective to retrieve. |
|
subscription
|
path | True |
string |
The subscription ID that identifies an Azure subscription. |
|
api-version
|
query | True |
string |
The API version to use for the request. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
Examples
Get a service objective
Sample request
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/sqlcrudtest/serviceObjectives/29dd7459-4a7c-4e56-be22-f0adda49440d?api-version=2014-04-01
Sample response
{
"id": "/subscriptions/b6a6e0c5-e79c-4c6d-a878-72eafbca4cf2/resourceGroups/QA/providers/Microsoft.Sql/servers/nafantest/serviceObjectives/29dd7459-4a7c-4e56-be22-f0adda49440d",
"name": "29dd7459-4a7c-4e56-be22-f0adda49440d",
"type": "Microsoft.Sql/servers/serviceObjectives",
"location": "Central US",
"properties": {
"serviceObjectiveName": "System0",
"isDefault": false,
"isSystem": true,
"description": null,
"enabled": false
}
}
Definitions
ServiceObjective
Represents a database service objective.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource ID. |
| name |
string |
Resource name. |
| properties.description |
string |
The description for the service level objective. |
| properties.enabled |
boolean |
Gets whether the service level objective is enabled. |
| properties.isDefault |
boolean |
Gets whether the service level objective is the default service objective. |
| properties.isSystem |
boolean |
Gets whether the service level objective is a system service objective. |
| properties.serviceObjectiveName |
string |
The name for the service objective. |
| type |
string |
Resource type. |